
	var vFolio="";
	var vTipoCarga="";
	var vContenedor = "";
	var vPedimentos = "";
	var vMaterial = "";
	var vPersonal = "";
	var vBitacora = "";
	var vFechaHoraBD ="";
	var vNidCliente ="";

function enviarNotificacion(pNidServicio, pTipoNotificacion){
	var pTextoNotificacion;
	consultaFechaHoraBD();
	verDetalleServicioReporte(pNidServicio);
	
	if(parseInt(pTipoNotificacion) === 2){
		pTextoNotificacion = "APERTURA";
		
		if(vTipoCarga === "CONTENERIZADA"){
			var pBodyMail = htmlNotificacionCont(pNidServicio,pTextoNotificacion,vTipoCarga);
		}else{
			var pBodyMail = htmlNotificacionSuelta(pNidServicio,pTextoNotificacion,vTipoCarga);
		}
		
	}else if(parseInt(pTipoNotificacion) === 3){
		pTextoNotificacion = "DESCONSOLIDACION";
		
		if(vTipoCarga === "CONTENERIZADA"){
			var pBodyMail = htmlNotificacionCont(pNidServicio,pTextoNotificacion,vTipoCarga);
		}else{
			var pBodyMail = htmlNotificacionSuelta(pNidServicio,pTextoNotificacion,vTipoCarga);
		}
		
	}else if(parseInt(pTipoNotificacion) === 4){
		pTextoNotificacion = "REVISION";
		
		if(vTipoCarga === "CONTENERIZADA"){
			var pBodyMail = htmlNotificacionCont(pNidServicio,pTextoNotificacion,vTipoCarga);
		}else{
			var pBodyMail = htmlNotificacionSuelta(pNidServicio,pTextoNotificacion,vTipoCarga);
		}
		
	}else if(parseInt(pTipoNotificacion) === 5){
		pTextoNotificacion = "CONSOLIDACION";
		
		if(vTipoCarga === "CONTENERIZADA"){
			var pBodyMail = htmlNotificacionCont(pNidServicio,pTextoNotificacion,vTipoCarga);
		}else{
			var pBodyMail = htmlNotificacionSuelta(pNidServicio,pTextoNotificacion,vTipoCarga);
		}
		
	}else if(parseInt(pTipoNotificacion) === 7){
		pTextoNotificacion = "CIERRE";
		
		if(vTipoCarga === "CONTENERIZADA"){
			var pBodyMail = htmlNotificacionContCierre(pNidServicio,pTextoNotificacion,vTipoCarga);
		}else{
			var pBodyMail = htmlNotificacionSueltaCierre(pNidServicio,pTextoNotificacion,vTipoCarga);
		}
	}	

	
	var pCodigo = vFolio;						
	console.log("============[ CONSULTA CORREOS ]===============");
	
	
	
	var pListaCorreos = consultaListaCorreos(pTipoNotificacion);
	
	console.log("===============================================================");
	console.log(pListaCorreos);
	//DEBUG
	//pListaCorreos = "isc.ghernandez@gmail.com";
	//DEBUG
							
	var json_request = {
		tipoOperacion: "enviarNotificacion",
		pBodyMail:pBodyMail,
		//pCodigo:pCodigo,//quite esta linea comentada
		pListaCorreos:pListaCorreos,
		pNidServicio:pNidServicio,
		pTextoNotificacion:pTextoNotificacion
	};
   
	$.ajax({
		type: "POST",
		data: json_request,
		url: "../sippre/core/smtp/phpSendMail.php",
		dataType: "json",
		async: false,
		success: function (resp) {						
			//MessageBox(resp.transaccion, resp.mensaje);	
		},
		error: function (xhr, ajaxOptions, thrownError) {
			console.log(xhr);
			console.log(ajaxOptions);
			console.log(thrownError);
		}
	});
}

function htmlNotificacionCont(pNidServicio,pTextoNotificacion, pTipoCarga){
	var vHTML;
	//verDetalleServicioReporte(pNidServicio);

	
	vHTML = ' <div style="font-size :13px"> '+
'	<table style="width:100%"> '+
'		<tr> '+
'			<td> '+
'				<img src="../../img/logo.png" height="25" width="70"; padding-top:100px> '+
'			</td> '+
'			<td align="center"> '+
'				<strong>NOTIFICACION DE EVENTO</strong><br>  '+ 
'				<strong>MANIOBRAS OPTIMIZADAS DE VERACRUZ S.A. DE C.V.</strong>  	 '+
'			</td> '+
'			<td align="center" style="border: #D8D8D8 1px solid;"> '+
'			<div style="background:#F2F2F2">FOLIO</div>'+
'			<div><span id="spanFolio">MOV'+ vFolio +'<span></div>' +
'			</td> '+
'		</tr> '+
'	</table> '+			
'			<div class="row">	 '+					
'				<div>  '+
'						<hr style="height:3px; border:none; color:#BDBDBD; background-color:#BDBDBD;"> '+
'				</div>  '+
'				<table style="width:100%">  '+
'					<tr>  '+
'						<td>  '+
'							<strong>Evento</strong>  '+	
'						</td>  '+
'						<td>  '+	pTextoNotificacion +			
'						</td>  '+ 
'						<td>  '+
'							<strong>Fecha-Hora</strong>  '+							
'						</td>  '+
'						<td>  '+	vFechaHoraBD +
'						</td>  '+
'						<td>  '+
'							<strong>Tipo carga</strong>  '+							
'						</td>  '+
'						<td>   '+
'						<td>  '+	pTipoCarga +	
'						</td>  '+
'					</tr>  '+
'				</table>  '+
'				<div style="background-color:#E6E6E6; padding: 4px;">  '+
'					<strong>Datos del pedimento</strong>  '+
'				</div>  '+
'				<table style="width: 100%;text-align: justify;"> '+
'					<thead> '+
'						<tr> '+
'							<th> '+
'								Pedimento '+
'							</th> '+
'							<th> '+
'								Referencia '+
'							</th> '+
'						</tr> '+
'					</thead> '+
'					<tbody>		 '+	vPedimentos +						
'					</tbody> '+
'				</table> '+
'				<div style="background-color:#E6E6E6; padding: 4px;">  '+
'					<strong>Datos del contenedor</strong>  '+
'				</div>  '+
'				<table style="width: 100%;text-align: justify;"> '+
'					<thead> '+
'						<tr> '+
'							<th> '+
'								Dimension '+
'							</th> '+
'							<th> '+
'								Contenedor '+
'							</th> '+
'							<th> '+
'								Sello original '+
'							</th> '+
'							<th> '+
'								Sello nuevo '+
'							</th> '+
'						</tr> '+
'					</thead> '+
'					<tbody>	 '+	vContenedor +
'					</tbody> '+
'				</table> ';
		
		return vHTML;
}

function htmlNotificacionContCierre(pNidServicio,pTextoNotificacion,pTipoCarga){
	var vHTML;
	//verDetalleServicioReporte(pNidServicio);

	
	vHTML = ' <div style="font-size :13px"> '+
'	<table style="width:100%"> '+
'		<tr> '+
'			<td> '+
'				<img src="../../img/logo.png" height="25" width="70"; padding-top:100px> '+
'			</td> '+
'			<td align="center"> '+
'				<strong>NOTIFICACION DE EVENTO</strong><br>  '+ 
'				<strong>MANIOBRAS OPTIMIZADAS DE VERACRUZ S.A. DE C.V.</strong>  	 '+
'			</td> '+
'			<td align="center" style="border: #D8D8D8 1px solid;"> '+
'			<div style="background:#F2F2F2">FOLIO</div>'+
'			<div><span id="spanFolio">MOV'+ vFolio +'<span></div>' +
'			</td> '+
'		</tr> '+
'	</table> '+			
'			<div class="row">	 '+					
'				<div>  '+
'						<hr style="height:3px; border:none; color:#BDBDBD; background-color:#BDBDBD;"> '+
'				</div>  '+
'				<table style="width:100%">  '+
'					<tr>  '+
'						<td>  '+
'							<strong>Evento</strong>  '+	
'						</td>  '+
'						<td>  '+	pTextoNotificacion +			
'						</td>  '+ 
'						<td>  '+
'							<strong>Fecha-Hora</strong>  '+							
'						</td>  '+ 
'						<td>  '+	vFechaHoraBD +
'						</td>  '+
'						<td>  '+
'							<strong>Tipo carga</strong>  '+							
'						</td>  '+
'						<td>   '+
'						<td>  '+	pTipoCarga +	
'						</td>  '+
'					</tr>  '+
'				</table>  '+
'				<div style="background-color:#E6E6E6; padding: 4px;">  '+
'					<strong>Pedimentos</strong>  '+
'				</div>  '+
'				<table style="width: 100%;text-align: justify;"> '+
'					<thead> '+
'						<tr> '+
'							<th> '+
'								Pedimento '+
'							</th> '+
'							<th> '+
'								Referencia '+
'							</th> '+
'						</tr> '+
'					</thead> '+
'					<tbody>		 '+	vPedimentos +						
'					</tbody> '+
'				</table> '+
'				<div style="background-color:#E6E6E6; padding: 4px;">  '+
'					<strong>Datos del contenedor</strong>  '+
'				</div>  '+
'				<table style="width: 100%;text-align: justify;"> '+
'					<thead> '+
'						<tr> '+
'							<th> '+
'								Dimencion '+
'							</th> '+
'							<th> '+
'								Contenedor '+
'							</th> '+
'							<th> '+
'								Sello original '+
'							</th> '+
'							<th> '+
'								Sello nuevo '+
'							</th> '+
'						</tr> '+
'					</thead> '+
'					<tbody>	 '+	vContenedor +
'					</tbody> '+
'				</table> '+
'				<div style="background-color:#E6E6E6; padding: 4px;">  '+
'					<strong>Material utilizado en la consolidacion</strong>  '+
'				</div>  '+
'				<table style="width: 100%;text-align: justify;"> '+
'					<thead> '+
'						<tr> '+
'							<th> '+
'								Descripcion '+
'							</th> '+
'							<th> '+
'								Cantidad '+
'							</th> '+
'							<th> '+
'								UM '+
'							</th> '+
'						</tr> '+
'					</thead> '+
'					<tbody>	 '+	vMaterial +			
'					</tbody> '+
'				</table> ';
		
		return vHTML;
}


function htmlNotificacionSuelta(pNidServicio,pTextoNotificacion,pTipoCarga){
	var vHTML;
	//verDetalleServicioReporte(pNidServicio);

	
	vHTML = ' <div style="font-size :13px"> '+
'	<table style="width:100%"> '+
'		<tr> '+
'			<td> '+
'				<img src="../../img/logo.png" height="25" width="70"; padding-top:100px> '+
'			</td> '+
'			<td align="center"> '+
'				<strong>NOTIFICACION DE EVENTO</strong><br>  '+ 
'				<strong>MANIOBRAS OPTIMIZADAS PUERTO DE VERACRUZ S.A. DE C.V.</strong>  	 '+
'			</td> '+
'			<td align="center" style="border: #D8D8D8 1px solid;"> '+
'			<div style="background:#F2F2F2">FOLIO</div>'+
'			<div><span id="spanFolio">MOV'+ vFolio +'<span></div>' +
'			</td> '+
'		</tr> '+
'	</table> '+			
'			<div class="row">	 '+					
'				<div>  '+
'						<hr style="height:3px; border:none; color:#BDBDBD; background-color:#BDBDBD;"> '+
'				</div>  '+
'				<table style="width:100%">  '+
'					<tr>  '+
'						<td>  '+
'							<strong>Evento</strong>  '+	
'						</td>  '+
'						<td>  '+	pTextoNotificacion +			
'						</td>  '+ 
'						<td>  '+
'							<strong>Fecha-Hora</strong>  '+							
'						</td>  '+ 
'						<td>  '+	vFechaHoraBD +
'						</td>  '+
'						<td>  '+
'							<strong>Tipo carga</strong>  '+							
'						</td>  '+
'						<td>   '+
'						<td>  '+	pTipoCarga +	
'						</td>  '+
'					</tr>  '+
'				</table>  '+
'				<div style="background-color:#E6E6E6; padding: 4px;">  '+
'					<strong>Pedimentos</strong>  '+
'				</div>  '+
'				<table style="width: 100%;text-align: justify;"> '+
'					<thead> '+
'						<tr> '+
'							<th> '+
'								Pedimento '+
'							</th> '+
'							<th> '+
'								Referencia '+
'							</th> '+
'						</tr> '+
'					</thead> '+
'					<tbody>		 '+	vPedimentos +						
'					</tbody> '+
'				</table> ';
		
		return vHTML;
}

function htmlNotificacionSueltaCierre(pNidServicio,pTextoNotificacion,pTipoCarga){
	var vHTML;
	//verDetalleServicioReporte(pNidServicio);

	
	vHTML = ' <div style="font-size :13px"> '+
'	<table style="width:100%"> '+
'		<tr> '+
'			<td> '+
'				<img src="../../img/logo.png" height="25" width="70"; padding-top:100px> '+
'			</td> '+
'			<td align="center"> '+
'				<strong>NOTIFICACION DE EVENTO</strong><br>  '+ 
'				<strong>MANIOBRAS OPTIMIZADAS PUERTO DE VERACRUZ S.A. DE C.V.</strong>  	 '+
'			</td> '+
'			<td align="center" style="border: #D8D8D8 1px solid;"> '+
'			<div style="background:#F2F2F2">FOLIO</div>'+
'			<div><span id="spanFolio">MOV'+ vFolio +'<span></div>' +
'			</td> '+
'		</tr> '+
'	</table> '+			
'			<div class="row">	 '+					
'				<div>  '+
'						<hr style="height:3px; border:none; color:#BDBDBD; background-color:#BDBDBD;"> '+
'				</div>  '+
'				<table style="width:100%">  '+
'					<tr>  '+
'						<td>  '+
'							<strong>Evento</strong>  '+	
'						</td>  '+
'						<td>  '+	pTextoNotificacion +			
'						</td>  '+ 
'						<td>  '+
'							<strong>Fecha-Hora</strong>  '+							
'						</td>  '+ 
'						<td>  '+	vFechaHoraBD +
'						</td>  '+
'						<td>  '+
'							<strong>Tipo carga</strong>  '+							
'						</td>  '+
'						<td>   '+
'						<td>  '+	pTipoCarga +	
'						</td>  '+
'					</tr>  '+
'				</table>  '+
'				<div style="background-color:#E6E6E6; padding: 4px;">  '+
'					<strong>Pedimentos</strong>  '+
'				</div>  '+
'				<table style="width: 100%;text-align: justify;"> '+
'					<thead> '+
'						<tr> '+
'							<th> '+
'								Pedimento '+
'							</th> '+
'							<th> '+
'								Referencia '+
'							</th> '+
'						</tr> '+
'					</thead> '+
'					<tbody>		 '+	vPedimentos +						
'					</tbody> '+
'				</table> '+
'				<div style="background-color:#E6E6E6; padding: 4px;">  '+
'					<strong>Material utilizado en la consolidacion</strong>  '+
'				</div>  '+
'				<table style="width: 100%;text-align: justify;"> '+
'					<thead> '+
'						<tr> '+
'							<th> '+
'								Descripcion '+
'							</th> '+
'							<th> '+
'								Cantidad '+
'							</th> '+
'							<th> '+
'								UM '+
'							</th> '+
'						</tr> '+
'					</thead> '+
'					<tbody>	 '+	vMaterial +			
'					</tbody> '+
'				</table> ';
		
		return vHTML;
}

function verDetalleServicioReporte(pNidServicio){

	var json_request = {
		tipoOperacion: "consultarXid"            
		,pNidServicio:pNidServicio
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "/sippre/dataAccess/serviciosProgramadosAgencia.php",
		dataType: "json",
		async: false,
		success: function (resp) {  				
				var json = resp.datos[0];	
				
				vFolio = json.codigo;		
				vAgencia = json.cliente;
				vPatente = json.cliente;
				vDependiente = json.personalCliente;
				vFiscal = json.personalCliente;
				vSelloOriginal = json.selloOriginal;
				vSelloNuevo = json.selloNuevo;
				vTipoCarga = json.tipoCarga;
				vImo = json.imo;
				vTipoServicio = json.tipoServicio;
				vCantDesconsolidar = json.cantidadDesconsolidar;
				vImportador = json.importador;
				vCanino = json.utilizaCanino;
				vCantidad = json.cantidad;
				vPeso = json.peso;
				vNidCliente = json.nidCliente;
				
				vCostoServicio = json.montoServicio;
				vCostoMaterial = json.montoMaterial;
				vTotalServicio = json.montoTotal;
				
				vContenedor = '						<tr> '+
								'							<td>'+ json.dimencion +'</td> '+
								'							<td>'+ json.contenedor +'</td> '+
								'							<td>'+ json.selloOriginal +'</td> '+
								'							<td>'+ json.selloNuevo +'</td> '+
								'					</tr>		 ';		

		},
		complete: function () {
			consultaPedimentosReporte(pNidServicio);
			consultaMaterialReporte(pNidServicio);
			consultaPersonalReporte(pNidServicio);
			consultaBitacoraReporte(pNidServicio);
		},
		error: function (xhr, ajaxOptions, thrownError) {
			MessageBox(0, xhr.responseText);
		}
	});
}

function consultaPedimentosReporte(pNidServicio){
	vPedimentos = "";
	var json_request = {
		tipoOperacion: "consultarPedimentos"            
		,pNidServicio:pNidServicio
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "/sippre/dataAccess/serviciosProgramadosAgencia.php",
		dataType: "json",
		async: false,
		success: function (resp) {  
			if(resp.datos != null){		
				for (var i = 0; i < resp.datos.length; i++) {
					var json = resp.datos[i];				
					
					vPedimentos = vPedimentos + '						<tr> '+
													'							<td>'+ json.pedimento +'</td> '+
													'							<td>'+ json.referencia +'</td> '+
													'						</tr>		 ';
				}
			}								
		},
		error: function (xhr, ajaxOptions, thrownError) {
			console.log(xhr);
			console.log(ajaxOptions);
			console.log(thrownError);
		}
	});
}

function consultaMaterialReporte(pNidServicio){
	vMaterial = "";
	var json_request = {
		tipoOperacion: "consultarMaterial"            
		,pNidServicio:pNidServicio
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "/sippre/dataAccess/serviciosProgramadosAgencia.php",
		dataType: "json",
		async: false,
		success: function (resp) {  								
			if(resp.datos != null){
				for (var i = 0; i < resp.datos.length; i++) {
					var json = resp.datos[i];				
					
					vMaterial = vMaterial + '						<tr> '+
								'							<td>'+ json.material +'</td> '+
								'							<td>'+ json.cantidad +'</td> '+
								'							<td>'+ json.unm +'</td> '+
								'						</tr>		 ';	
				}
			}									
		},
		error: function (xhr, ajaxOptions, thrownError) {
			console.log(xhr);
			console.log(ajaxOptions);
			console.log(thrownError);
		}
	});
}

function consultaPersonalReporte(pNidServicio){
	vPersonal = "";
	var json_request = {
		tipoOperacion: "consultarPersonal"            
		,pNidServicio:pNidServicio
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "/sippre/dataAccess/serviciosProgramadosAgencia.php",
		dataType: "json",
		async: false,
		success: function (resp) {  
			if(resp.datos != null){		
				for (var i = 0; i < resp.datos.length; i++) {
					var json = resp.datos[i];				

					vPersonal = vPersonal + '<tr> '+
											'	<td>'+ json.nombre +'</td> '+
											'</tr>';
				}
			}									
		},
		error: function (xhr, ajaxOptions, thrownError) {
			console.log(xhr);
			console.log(ajaxOptions);
			console.log(thrownError);
		}
	});
}

function consultaBitacoraReporte(pNidServicio){
	vBitacora = "";
	var json_request = {
		tipoOperacion: "consultarBitacora"            
		,pNidServicio:pNidServicio
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "/sippre/dataAccess/serviciosProgramadosAgencia.php",
		dataType: "json",
		async: false,
		success: function (resp) {  
			if(resp.datos != null){		
				for (var i = 0; i < resp.datos.length; i++) {
					var json = resp.datos[i];				
										
					vBitacora = vBitacora + '						<tr> '+
											'							<td>' + json.descripcion + '</td> '+
											'							<td>' + json.fecha + '</td> '+
											'						</tr>';
				}
			}									
		},
		error: function (xhr, ajaxOptions, thrownError) {
			console.log(xhr);
			console.log(ajaxOptions);
			console.log(thrownError);
		}
	});
}

function consultaListaCorreos(tipoNotificacion){
    
    console.log("consultaListaCorreos -tipoNotificacion -> " +  tipoNotificacion);
    console.log("vNidCliente -> " +  vNidCliente);
	
	var vListaCorreos="";

	var json_request = {
		tipoOperacion: "consultarListaCorreos",
		pTipoNotificacion: tipoNotificacion,
		pNidCliente: vNidCliente
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "../sippre/core/smtp/phpSendMail.php",
		dataType: "json",
		async: false,
		success: function (resp) {  
		    console.log("========= REspuesta consultaListaCorreos ==============");
			console.log(resp);	

			if(resp.datos != null){		
				for (var i = 0; i < resp.datos.length; i++) {
					var json = resp.datos[i];	
				
					vListaCorreos = vListaCorreos + json.cuenta + ","; 
				}
			}
		},
		error: function (xhr, ajaxOptions, thrownError) {
			console.log(xhr);
			console.log(ajaxOptions);
			console.log(thrownError);
		}
	});
	
	return vListaCorreos;
}

function consultaFechaHoraBD(){
	var json_request = {
		tipoOperacion: "consultaFechaHoraBD"
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "/sippre/dataAccess/serviciosProgramadosAgencia.php",
		dataType: "json",
		async: false,
		success: function (resp) {  
			if(resp.datos != null){		
				vFechaHoraBD = resp.datos[0].fechaHora;
			}
		},
		error: function (xhr, ajaxOptions, thrownError) {
			console.log(xhr);
			console.log(ajaxOptions);
			console.log(thrownError);
		}
	});
	
}
